Check Balances
Members
Check Balances
Use this endpoint to gather account balance information for all accounts associated with the member. This endpoint operates much like the aggregate member endpoint except that it gathers only account balance information; it does not gather any transaction data. You must use the read member endpoint to check on the status of the balance process, and the list member accounts endpoint to actually retrieve the data that has been gathered by the process.
POST
Check Balances
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
The unique identifier for the member. Defined by MX.
Response
200 - application/vnd.mx.nexus.v1+json
OK

